Bug 221760 - evolution dies on startup: *** glibc detected *** /usr/bin/evolution: double free or corruption (out): 0xb262a408 ***
evolution dies on startup: *** glibc detected *** /usr/bin/evolution: double ...
Status: CLOSED DUPLICATE of bug 231025
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 11:50 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 14:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
valgrind output (270.61 KB, text/plain)
2007-01-07 12:11 EST, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2007-01-07 11:50:46 EST
Hooray for evolution bugs. When trying to start evo from rawhide (all packages
updated), we get:

*** glibc detected *** /usr/bin/evolution: double free or corruption (out):
0xb262a408 ***

Evolution isn't usable. Trying to set MALLOC_CHECK_ to get it running
temporarily just triggers bug-buddy to try to run (and fail).

Here's the gdb logs:

[spot@dhcp-32-109 ~]$ gdb evolution
GNU gdb Red Hat Linux (6.5-22.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread -1209116448 (LWP 5180)]
Bonobo accessibility support initialized
GTK Accessibility Module initialized

** (evolution:5180): WARNING **: AT_SPI_REGISTRY was not started at session startup.

** (evolution:5180): WARNING **: IOR not set.

** (evolution:5180): WARNING **: Could not locate registry
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...

(evolution:5180): evolution-mail-WARNING **: ignored this junk plugin: not
enabled or we have already loaded one

(evolution:5180): e-utils-WARNING **: Plugin 'Spamassassin junk plugin' failed
to load hook 'org.gnome.evolution.mail.junk:1.0'
** (evolution:5180): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:5180): DEBUG: mailto URL program: evolution
[New Thread -1220015216 (LWP 5201)]
[New Thread -1230509168 (LWP 5202)]
[Thread -1230509168 (LWP 5202) exited]
[New Thread -1230509168 (LWP 5203)]
[New Thread -1241392240 (LWP 5204)]
[New Thread -1251882096 (LWP 5205)]
[New Thread -1263535216 (LWP 5206)]
[Thread -1263535216 (LWP 5206) exited]
[New Thread -1263535216 (LWP 5207)]
[Thread -1241392240 (LWP 5204) exited]
[New Thread -1241392240 (LWP 5222)]
[New Thread -1289749616 (LWP 5224)]
[New Thread -1302332528 (LWP 5225)]

(evolution:5180): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion
`GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
[Thread -1241392240 (LWP 5222) exited]
[Thread -1263535216 (LWP 5207) exited]
[Thread -1289749616 (LWP 5224) exited]
*** glibc detected *** /usr/bin/evolution: double free or corruption (out):
0xb262a408 ***
======= Backtrace: =========
/lib/libc.so.6[0x428ffd]
/lib/libc.so.6(cfree+0x90)[0x42c650]
/lib/libglib-2.0.so.0(g_free+0x31)[0x73b6791]
/usr/lib/evolution/2.10/components/libevolution-mail.so[0x5542480]
/usr/lib/evolution/2.10/components/libevolution-mail.so(mail_msg_free+0x26)[0x553ae66]
/usr/lib/evolution/2.10/components/libevolution-mail.so[0x553b26a]
/lib/libglib-2.0.so.0[0x73afac6]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x182)[0x73af4f2]
/lib/libglib-2.0.so.0[0x73b24cf]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1a9)[0x73b2879]
/usr/lib/libbonobo-2.so.0(bonobo_main+0x63)[0x9a2a23]
/usr/bin/evolution[0x805d9ac]
/lib/libc.so.6(__libc_start_main+0xdc)[0x3d8e5c]
/usr/bin/evolution[0x804f371]
======= Memory map: ========
00110000-0019a000 r-xp 00000000 fd:00 14231950   /usr/lib/libgdk-x11-2.0.so.0.1000.7
0019a000-0019d000 rwxp 00089000 fd:00 14231950   /usr/lib/libgdk-x11-2.0.so.0.1000.7
0019d000-0019f000 r-xp 00000000 fd:00 196800     /lib/libcom_err.so.2.1
0019f000-001a0000 rwxp 00001000 fd:00 196800     /lib/libcom_err.so.2.1
001a0000-0029e000 r-xp 00000000 fd:00 14252877   /usr/lib/libX11.so.6.2.0
0029e000-002a2000 rwxp 000fd000 fd:00 14252877   /usr/lib/libX11.so.6.2.0
002a2000-002b2000 r-xp 00000000 fd:00 196687     /lib/libresolv-2.5.90.so
002b2000-002b3000 r-xp 0000f000 fd:00 196687     /lib/libresolv-2.5.90.so
002b3000-002b4000 rwxp 00010000 fd:00 196687     /lib/libresolv-2.5.90.so
002b4000-002b6000 rwxp 002b4000 00:00 0 
002b6000-002cb000 r-xp 00000000 fd:00 196797     /lib/libselinux.so.1
002cb000-002cd000 rwxp 00015000 fd:00 196797     /lib/libselinux.so.1
002cd000-002d4000 r-xp 00000000 fd:00 196651     /lib/librt-2.5.90.so
002d4000-002d5000 r-xp 00006000 fd:00 196651     /lib/librt-2.5.90.so
002d5000-002d6000 rwxp 00007000 fd:00 196651     /lib/librt-2.5.90.so
002d6000-002de000 r-xp 00000000 fd:00 14252878   /usr/lib/libXrender.so.1.3.0
002de000-002df000 rwxp 00007000 fd:00 14252878   /usr/lib/libXrender.so.1.3.0
002e0000-002e1000 r-xp 002e0000 00:00 0          [vdso]
002e1000-002e3000 r-xp 00000000 fd:00 14252883   /usr/lib/libXinerama.so.1.0.0
002e3000-002e4000 rwxp 00001000 fd:00 14252883   /usr/lib/libXinerama.so.1.0.0
002e4000-002e6000 r-xp 00000000 fd:00 14225962   /usr/lib/libXau.so.6.0.0
002e6000-002e7000 rwxp 00001000 fd:00 14225962   /usr/lib/libXau.so.6.0.0
002e7000-002ec000 r-xp 00000000 fd:00 14252876   /usr/lib/libXdmcp.so.6.0.0
002ec000-002ed000 rwxp 00004000 fd:00 14252876   /usr/lib/libXdmcp.so.6.0.0
002ed000-002ee000 r-xp 00000000 fd:00 14287711   /usr/lib/gconv/ISO8859-1.so
002ee000-002f0000 rwxp 00000000 fd:00 14287711   /usr/lib/gconv/ISO8859-1.so
002f0000-002f5000 r-xp 00000000 fd:00 14489382  
/usr/lib/gtk-2.0/modules/libgail-gnome.so
002f5000-002f6000 rwxp 00005000 fd:00 14489382  
/usr/lib/gtk-2.0/modules/libgail-gnome.so
002f7000-0030e000 r-xp 00000000 fd:00 14226921   /usr/lib/libICE.so.6.3.0
0030e000-0030f000 rwxp 00016000 fd:00 14226921   /usr/lib/libICE.so.6.3.0
0030f000-00311000 rwxp 0030f000 00:00 0 
00311000-00352000 r-xp 00000000 fd:00 198219     /lib/libssl.so.0.9.8b
00352000-00356000 rwxp 00040000 fd:00 198219     /lib/libssl.so.0.9.8b
00356000-00365000 r-xp 00000000 fd:00 14252882   /usr/lib/libXext.so.6.4.0
00365000-00366000 rwxp 0000e000 fd:00 14252882   /usr/lib/libXext.so.6.4.0
00366000-00367000 r-xp 00000000 fd:00 15179164  
/usr/lib/evolution/2.10/plugins/liborg-gnome-default-mailer.so
00367000-00368000 rwxp 00000000 fd:00 15179164  
/usr/lib/evolution/2.10/plugins/liborg-gnome-default-mailer.so
00368000-00387000 r-xp 00000000 fd:00 196673     /lib/libexpat.so.0.5.0
00387000-00389000 rwxp 0001e000 fd:00 196673     /lib/libexpat.so.0.5.0
00389000-0038a000 r-xp 00000000 fd:00 15179179  
/usr/lib/evolution/2.10/plugins/liborg-gnome-new-mail-notify.so
0038a000-0038b000 rwxp 00000000 fd:00 15179179  
/usr/lib/evolution/2.10/plugins/liborg-gnome-new-mail-notify.so
0038b000-0038f000 r-xp 00000000 fd:00 14252886   /usr/lib/libXfixes.so.3.1.0
0038f000-00390000 rwxp 00003000 fd:00 14252886   /usr/lib/libXfixes.
Program received signal SIGABRT, Aborted.
[Switching to Thread -1209116448 (LWP 5180)]
0x002e0402 in __kernel_vsyscall ()
(gdb) bt
#0  0x002e0402 in __kernel_vsyscall ()
#1  0x003ebc70 in raise () from /lib/libc.so.6
#2  0x003ed4c1 in abort () from /lib/libc.so.6
#3  0x0042129b in __libc_message () from /lib/libc.so.6
#4  0x00428ffd in _int_free () from /lib/libc.so.6
#5  0x0042c650 in free () from /lib/libc.so.6
#6  0x073b6791 in g_free () from /lib/libglib-2.0.so.0
#7  0x05542480 in free_user_message (mm=0xb2649e68) at mail-session.c:358
#8  0x0553ae66 in mail_msg_free (msg=0xb2649e68) at mail-mt.c:188
#9  0x0553b26a in periodic_processing () at mail-mt.c:452
#10 0x073afac6 in g_source_get_current_time () from /lib/libglib-2.0.so.0
#11 0x073af4f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x073b24cf in g_main_context_check () from /lib/libglib-2.0.so.0
#13 0x073b2879 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x009a2a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#15 0x0805d9ac in main (argc=1, argv=0xbfb08af4) at main.c:611
#16 0x003d8e5c in __libc_start_main () from /lib/libc.so.6
#17 0x0804f371 in _start ()
(gdb) 

Let me know what more you need to try to track this down. :/
Comment 1 Tom "spot" Callaway 2007-01-07 12:11:44 EST
Created attachment 145005 [details]
valgrind output

Here is the output from valgrind, hope it is helpful.
Comment 2 Tom "spot" Callaway 2007-01-07 14:51:00 EST
More info:

The evolution crash was triggered by the client trying to process the server
message that my acct was approaching quota. When I deleted some emails with
another client to eliminate the message, evolution stopped crashing.
Comment 3 Matthew Barnes 2007-01-07 21:49:46 EST
Thanks for the bug report.

I've not yet seen this crash myself running the latest Rawhide release, but
comment #2 contains a valuable hint.  Sounds like either memory is being freed
twice somewhere or the program is trying dereference a dangling pointer.  I'll
try and track down the source of the problem.
Comment 4 Tom "spot" Callaway 2007-03-05 14:51:48 EST

*** This bug has been marked as a duplicate of 231025 ***

Note You need to log in before you can comment on or make changes to this bug.